---
title: Minimální požadavky a instalace STM
---

<h2>Minimální technické požadavky</h2>                
<p>Abyste mohli nainstalovat a úspěšně používat na webu, tak potřebujete mít k dispozici u Vašeho webhostingu podporu jazyka PHP a databázi MySQL (nebo Oracle ale předpokládám, že 99% procent lidí využije MySQL).</p>
<h3>Minimální požadavky</h3>
<ul>
    <li><em>PHP: </em><strong>verze 5.3 nebo vyšší</strong></li>
    <li><em>Databáze: </em><strong>MySQL >= 5.1 (InnoDB)</strong></li>
</ul>

<h3>Webhostingy, kde úspěšně běží nebo běžel systém STM</h3>
<ul>
    <li><a href="http://endora.cz/" target="_blank">Endora.cz</a> - MySQL databáze</li>
    <li><a href="http://www.php5.cz/" target="_blank">PHP5.cz</a> - MySQL databáze </li>
    <li><a href="http://www.upce.cz/" target="_blank">Upce.cz</a> - Oracle databáze (jednalo se o hosting určený pro studenty FEI UPCE a jejich semestrální práce)</li>
</ul>

<h2>Instalace STM</h2>
<ol>
    <li><a href="<%= webPrefix %>/">Stáhněte si</a> aktuální verzi STM</li>
    <li>Rozbalte soubor a nahrajte ho na váš hosting (pravděpodobně přes ftp)</li>
    <li>U složky <strong>/stm/config/</strong> změňte souborová práva na <strong>777</strong>, aby se do do souborů ve složce dalo zapsat</li>
    <li>V prohlížeči zadejte adresu umístění STM a za lomítko doplňte <strong>install/</strong> (např. pro demoverzi adresa byla <code class="inline">www.sports-table-manager.php5.cz/install/</code>)</li>
    <li>Nainstalujte STM podle pokynů v instalátoru</li>
    <li>Po instalaci smažte adresář install z webu</li>
</ol>
<p>Kdybyste zapomněli smazat instalační adresář, tak nemusíte mít obavu, že by Vám někdo překonfiguroval databázi, protože instalaci nelze provést, pokud je již funkční připojení k databázi nebo existuje alespoň jeden uživatel v příslušné tabulce.</p>